package com.ikon.projectmanagement.service;

import com.ikon.projectmanagement.dto.request.RiskCreateRequestDto;
import com.ikon.projectmanagement.dto.response.RiskResponseDto;

import java.util.List;
import java.util.UUID;

public interface RiskService {

    RiskResponseDto createRisk(RiskCreateRequestDto riskCreateRequestDto);

    List<RiskResponseDto> getAllRisks();

    RiskResponseDto getRiskById(UUID riskId);

    RiskResponseDto updateRisk(UUID riskId, RiskCreateRequestDto riskCreateRequestDto);

    List<RiskResponseDto> getRisksByProject(String projectIdentifier);
}